glibmm 2.4: Spawning Processes

Main Page Widgets glibmm Namespaces Book

# Spawning Processes

Process launching with fork()/exec(). More...

## Classes
class | Glib::SpawnError
| Exception class for errors occuring when spawning processes. More...
## Functions
void | Glib::spawn_async_with_pipes (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, const Glib::ArrayHandle<std::string>& envp, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), Pid* child_pid=0, int* standard_input=0, int* standard_output=0, int* standard_error=0)
void | Glib::spawn_async_with_pipes (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), Pid* child_pid=0, int* standard_input=0, int* standard_output=0, int* standard_error=0)
void | Glib::spawn_async (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, const Glib::ArrayHandle<std::string>& envp, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), Pid* child_pid=0)
void | Glib::spawn_async (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), Pid* child_pid=0)
void | Glib::spawn_sync (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, const Glib::ArrayHandle<std::string>& envp, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), std::string* standard_output=0, std::string* standard_error=0, int* exit_status=0)
void | Glib::spawn_sync (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), std::string* standard_output=0, std::string* standard_error=0, int* exit_status=0)
void | Glib::spawn_command_line_async (const std::string& command_line)
void | Glib::spawn_command_line_sync (const std::string& command_line, std::string* standard_output=0, std::string* standard_error=0, int* exit_status=0)
void | Glib::spawn_close_pid (Pid pid)

## Detailed Description

Process launching with fork()/exec().

## Function Documentation

void Glib::spawn_async | ( | const std::string & | working_directory,
|  | const Glib::ArrayHandle<std::string>& | argv,
|  | SpawnFlags | flags = `SpawnFlags(0)`,
|  | const sigc::slot< void > & | child_setup = `sigc::slot< void >()`,
|  | Pid * | child_pid = `0` |
| ) |  |  |

void Glib::spawn_async | ( | const std::string & | working_directory,
|  | const Glib::ArrayHandle<std::string>& | argv,
|  | const Glib::ArrayHandle<std::string>& | envp,
|  | SpawnFlags | flags = `SpawnFlags(0)`,
|  | const sigc::slot< void > & | child_setup = `sigc::slot< void >()`,
|  | Pid * | child_pid = `0` |
| ) |  |  |

void Glib::spawn_async_with_pipes | ( | const std::string & | working_directory,
|  | const Glib::ArrayHandle<std::string>& | argv,
|  | SpawnFlags | flags = `SpawnFlags(0)`,
|  | const sigc::slot< void > & | child_setup = `sigc::slot< void >()`,
|  | Pid * | child_pid = `0`,
|  | int * | standard_input = `0`,
|  | int * | standard_output = `0`,
|  | int * | standard_error = `0` |
| ) |  |  |

void Glib::spawn_async_with_pipes | ( | const std::string & | working_directory,
|  | const Glib::ArrayHandle<std::string>& | argv,
|  | const Glib::ArrayHandle<std::string>& | envp,
|  | SpawnFlags | flags = `SpawnFlags(0)`,
|  | const sigc::slot< void > & | child_setup = `sigc::slot< void >()`,
|  | Pid * | child_pid = `0`,
|  | int * | standard_input = `0`,
|  | int * | standard_output = `0`,
|  | int * | standard_error = `0` |
| ) |  |  |

void Glib::spawn_close_pid | ( | Pid | pid | ) |

void Glib::spawn_command_line_async | ( | const std::string & | command_line | ) |

void Glib::spawn_command_line_sync | ( | const std::string & | command_line,
|  | std::string * | standard_output = `0`,
|  | std::string * | standard_error = `0`,
|  | int * | exit_status = `0` |
| ) |  |  |

void Glib::spawn_sync | ( | const std::string & | working_directory,
|  | const Glib::ArrayHandle<std::string>& | argv,
|  | SpawnFlags | flags = `SpawnFlags(0)`,
|  | const sigc::slot< void > & | child_setup = `sigc::slot< void >()`,
|  | std::string * | standard_output = `0`,
|  | std::string * | standard_error = `0`,
|  | int * | exit_status = `0` |
| ) |  |  |

void Glib::spawn_sync | ( | const std::string & | working_directory,
|  | const Glib::ArrayHandle<std::string>& | argv,
|  | const Glib::ArrayHandle<std::string>& | envp,
|  | SpawnFlags | flags = `SpawnFlags(0)`,
|  | const sigc::slot< void > & | child_setup = `sigc::slot< void >()`,
|  | std::string * | standard_output = `0`,
|  | std::string * | standard_error = `0`,
|  | int * | exit_status = `0` |
| ) |  |  |